# CommandLine.MissingParameterException (picocli 2.3.0 API)
Date: 2018-02-13

picocli

## Class CommandLine.MissingParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picocli.CommandLine.PicocliException
        - - picocli.CommandLine.ParameterException
          - - picocli.CommandLine.MissingParameterException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CommandLine

    public static class CommandLine.MissingParameterException
    extends CommandLine.ParameterException

Exception indicating that a required parameter was not specified.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandLine.MissingParameterException(CommandLine commandLine, java.lang.String msg)`

### Method Summary

### Methods inherited from class picocli.CommandLine.ParameterException

`getCommandLine`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandLine.MissingParameterException

    public CommandLine.MissingParameterException(CommandLine commandLine,
                                         java.lang.String msg)